"use strict";
/** @format */
Object.defineProperty(exports, "__esModule", { value: true });
exports.message = void 0;
var os = require('os');
var fs = require('fs');
var path = require('path');
var yaml = require('js-yaml');
function getProfileFile() {
    var profileFilePath = getDefaultProfilePath();
    if (!fs.existsSync(profileFilePath)) {
        return {};
    }
    try {
        return yaml.safeLoad(fs.readFileSync(profileFilePath, 'utf8')) || {};
    }
    catch (e) {
        throw e;
    }
}
function getDefaultProfilePath() {
    return path.join(os.homedir(), '.s', 'set-config.yml');
}
function getConfig(key) {
    var profile = getProfileFile();
    return profile[key];
}
function message(source) {
    var messageList = {
        'Installing dependencies in serverless-devs core ...': "正在通过 Serverless-Devs Core 安装依赖 ...",
        'Please select an access:': "请选择一个账号",
    };
    var lang = getConfig("locale") || "en";
    if (lang == "en") {
        return source;
    }
    else {
        return messageList(source);
    }
}
exports.message = message;
//# sourceMappingURL=getMessage.js.map